Subject: Re: Improving ramdisk uncompression time...

From: Kenneth Johansson <[email-masked]>
Date: Thu, 04 Oct 2001 18:27:20 +0200

Subodh Nijsure wrote:
>
> Hello,
>
> My setup has rather large ramdisk 5MB as the ramdisk contains
> firmware for other boards in the system. In total boot time of
> about 60 seconds, close to 50% is spent in uncompressing the ramdisk.

I have a 10MB ramdisk when compresses is a little over 2MB. On a 405 in
200MHz this takes 1 second to uncompress.

Are you sure you have cache working.

You could try to use cramfs. Then the the data don't have to be uncompressed.
I think I have not used it myself.

--
Kenneth Johansson
Ericsson Business Innovation AB   Tel: +46 8 404 71 83
Viderögatan 3                     Fax: +46 8 404 72 72
164 80 Stockholm                  [email-masked]

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/